package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.Date;

public class TWarehouse {
    private String id;

    private String vKdCode;

    private String vCfCode;

    private String vCfName;

    private String vCfType;

    private String vCfStruct;

    private String vBuildType;

    private BigDecimal vCfLong;

    private BigDecimal vCfWide;

    private BigDecimal vCfHigh;

    private BigDecimal fDesignCap;

    private BigDecimal fActCap;

    private Date vWorkDate;

    private String vCfStatus;

    private String vRemark;

    private String vKeeperId;

    private String duiliangH;

    private Integer isshuliangjiace;

    private Integer isInCheck;

    private String checkMode;

    private String isWzc;

    private String type;

    private Date updateTime;

    /**
     * 32位唯一编码
     * @return id 32位唯一编码
     */
    public String getId() {
        return id;
    }

    /**
     * 32位唯一编码
     * @param id 32位唯一编码
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库点Cod
     * @return v_kd_code 库点Cod
     */
    public String getvKdCode() {
        return vKdCode;
    }

    /**
     * 库点Cod
     * @param vKdCode 库点Cod
     */
    public void setvKdCode(String vKdCode) {
        this.vKdCode = vKdCode == null ? null : vKdCode.trim();
    }

    /**
     * 
     * @return v_cf_code 
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 
     * @param vCfCode 
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 仓房名称
     * @return v_cf_name 仓房名称
     */
    public String getvCfName() {
        return vCfName;
    }

    /**
     * 仓房名称
     * @param vCfName 仓房名称
     */
    public void setvCfName(String vCfName) {
        this.vCfName = vCfName == null ? null : vCfName.trim();
    }

    /**
     * 仓房类型
     * @return v_cf_type 仓房类型
     */
    public String getvCfType() {
        return vCfType;
    }

    /**
     * 仓房类型
     * @param vCfType 仓房类型
     */
    public void setvCfType(String vCfType) {
        this.vCfType = vCfType == null ? null : vCfType.trim();
    }

    /**
     * 仓房结构
     * @return v_cf_struct 仓房结构
     */
    public String getvCfStruct() {
        return vCfStruct;
    }

    /**
     * 仓房结构
     * @param vCfStruct 仓房结构
     */
    public void setvCfStruct(String vCfStruct) {
        this.vCfStruct = vCfStruct == null ? null : vCfStruct.trim();
    }

    /**
     * 建造类型
     * @return v_build_type 建造类型
     */
    public String getvBuildType() {
        return vBuildType;
    }

    /**
     * 建造类型
     * @param vBuildType 建造类型
     */
    public void setvBuildType(String vBuildType) {
        this.vBuildType = vBuildType == null ? null : vBuildType.trim();
    }

    /**
     * 长
     * @return v_cf_long 长
     */
    public BigDecimal getvCfLong() {
        return vCfLong;
    }

    /**
     * 长
     * @param vCfLong 长
     */
    public void setvCfLong(BigDecimal vCfLong) {
        this.vCfLong = vCfLong;
    }

    /**
     * 宽
     * @return v_cf_wide 宽
     */
    public BigDecimal getvCfWide() {
        return vCfWide;
    }

    /**
     * 宽
     * @param vCfWide 宽
     */
    public void setvCfWide(BigDecimal vCfWide) {
        this.vCfWide = vCfWide;
    }

    /**
     * 高
     * @return v_cf_high 高
     */
    public BigDecimal getvCfHigh() {
        return vCfHigh;
    }

    /**
     * 高
     * @param vCfHigh 高
     */
    public void setvCfHigh(BigDecimal vCfHigh) {
        this.vCfHigh = vCfHigh;
    }

    /**
     * 设计仓容
     * @return f_design_cap 设计仓容
     */
    public BigDecimal getfDesignCap() {
        return fDesignCap;
    }

    /**
     * 设计仓容
     * @param fDesignCap 设计仓容
     */
    public void setfDesignCap(BigDecimal fDesignCap) {
        this.fDesignCap = fDesignCap;
    }

    /**
     * 实际仓容
     * @return f_act_cap 实际仓容
     */
    public BigDecimal getfActCap() {
        return fActCap;
    }

    /**
     * 实际仓容
     * @param fActCap 实际仓容
     */
    public void setfActCap(BigDecimal fActCap) {
        this.fActCap = fActCap;
    }

    /**
     * 建造年代
     * @return v_work_date 建造年代
     */
    public Date getvWorkDate() {
        return vWorkDate;
    }

    /**
     * 建造年代
     * @param vWorkDate 建造年代
     */
    public void setvWorkDate(Date vWorkDate) {
        this.vWorkDate = vWorkDate;
    }

    /**
     * 擦方状态
     * @return v_cf_status 擦方状态
     */
    public String getvCfStatus() {
        return vCfStatus;
    }

    /**
     * 擦方状态
     * @param vCfStatus 擦方状态
     */
    public void setvCfStatus(String vCfStatus) {
        this.vCfStatus = vCfStatus == null ? null : vCfStatus.trim();
    }

    /**
     * 描述
     * @return v_remark 描述
     */
    public String getvRemark() {
        return vRemark;
    }

    /**
     * 描述
     * @param vRemark 描述
     */
    public void setvRemark(String vRemark) {
        this.vRemark = vRemark == null ? null : vRemark.trim();
    }

    /**
     * 保管员
     * @return v_keeper_id 保管员
     */
    public String getvKeeperId() {
        return vKeeperId;
    }

    /**
     * 保管员
     * @param vKeeperId 保管员
     */
    public void setvKeeperId(String vKeeperId) {
        this.vKeeperId = vKeeperId == null ? null : vKeeperId.trim();
    }

    /**
     * 堆粮高
     * @return duiliang_h 堆粮高
     */
    public String getDuiliangH() {
        return duiliangH;
    }

    /**
     * 堆粮高
     * @param duiliangH 堆粮高
     */
    public void setDuiliangH(String duiliangH) {
        this.duiliangH = duiliangH == null ? null : duiliangH.trim();
    }

    /**
     * 是否启用数量检测功能 1 启用
     * @return isshuliangjiace 是否启用数量检测功能 1 启用
     */
    public Integer getIsshuliangjiace() {
        return isshuliangjiace;
    }

    /**
     * 是否启用数量检测功能 1 启用
     * @param isshuliangjiace 是否启用数量检测功能 1 启用
     */
    public void setIsshuliangjiace(Integer isshuliangjiace) {
        this.isshuliangjiace = isshuliangjiace;
    }

    /**
     * 是否在检查 1代表是 0或null代表不是
     * @return is_in_check 是否在检查 1代表是 0或null代表不是
     */
    public Integer getIsInCheck() {
        return isInCheck;
    }

    /**
     * 是否在检查 1代表是 0或null代表不是
     * @param isInCheck 是否在检查 1代表是 0或null代表不是
     */
    public void setIsInCheck(Integer isInCheck) {
        this.isInCheck = isInCheck;
    }

    /**
     * 检查模式 标准或者快速
     * @return check_mode 检查模式 标准或者快速
     */
    public String getCheckMode() {
        return checkMode;
    }

    /**
     * 检查模式 标准或者快速
     * @param checkMode 检查模式 标准或者快速
     */
    public void setCheckMode(String checkMode) {
        this.checkMode = checkMode == null ? null : checkMode.trim();
    }

    /**
     * 其他
     * @return is_wzc 其他
     */
    public String getIsWzc() {
        return isWzc;
    }

    /**
     * 其他
     * @param isWzc 其他
     */
    public void setIsWzc(String isWzc) {
        this.isWzc = isWzc == null ? null : isWzc.trim();
    }

    /**
     * 用作区分仓房或油罐的，值就是仓房或油罐
     * @return type 用作区分仓房或油罐的，值就是仓房或油罐
     */
    public String getType() {
        return type;
    }

    /**
     * 用作区分仓房或油罐的，值就是仓房或油罐
     * @param type 用作区分仓房或油罐的，值就是仓房或油罐
     */
    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    /**
     * 创建时间
     * @return update_time 创建时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 创建时间
     * @param updateTime 创建时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}